Name:           sparkleshare
Version:        0.2.5
Release:        %mkrel 1
Summary:        Easy file sharing based on git repositories
Group:          Networking/File transfer 
License:        GPLv3
URL:            http://www.sparkleshare.org/
Source0:        https://github.com/downloads/hbons/SparkleShare/sparkleshare-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  mono-devel ndesk-dbus-devel ndesk-dbus-glib-devel notify-sharp-devel
BuildRequires:  desktop-file-utils intltool 
BuildRequires:  gnome-doc-utils nant
BuildRequires:  webkit-sharp-devel
Requires:       git desktop-file-utils yelp
Requires:	%{_lib}mono0
Requires:	%{_lib}mono2.0_1
Requires:	webkit-sharp
Requires:	notify-sharp
Requires:	mono-compat

%description
Easy file sharing based on git repositories. A special folder is setup,
and directories/files placed within are placed in a git-based version
control system and synchronized elsewhere.


%prep
%setup -q

%build
%configure2_5x
# no parallel make on SMP because it's racy for this build :(
GMCS_FLAGS=-codepage:utf8 make

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/mono/gac/
make install DESTDIR=%{buildroot}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-WebBrowsers" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# find translations
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
/usr/bin/sparkleshare
%{_libdir}/sparkleshare/
/usr/share/sparkleshare/
/usr/share/applications/sparkleshare.desktop
/usr/share/icons/hicolor/16x16/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/22x22/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/24x24/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/256x256/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/32x32/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/48x48/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/24x24/status/process-syncing-sparkleshare-i*.png

%doc README
%doc %{_mandir}/man1/sparkleshare.1.*


%changelog
* Mon Nov 14 2011 Texstar <texstar at gmail.com> 0.2.5-1pclos2011
- 0.2.5
